rem Retrieve information returned from datacenter diagnostic page
'cscript.exe diagnostic-page.vbs <datacenter_url>
'e.g. cscript.exe diagnostic-page.vbs "https://performancemanager4.successfactors.com"
Set vbsArgs = WScript.Arguments
mainURI = "/diagnostic/main"

If vbsArgs.Count <> 1 Then
	WScript.StdOut.Write "ERROR: Wrong number of arguments: "&vbsArgs.Count
	WScript.StdOut.Write "<br />"
	WScript.StdOut.Write "Syntax: cscript.exe diagnostic-page.vbs <datacenter_url>"
	
	Set vbsArgs = Nothing
	WScript.Quit
End If	

dcURL = vbsArgs(0)
diagnostic_page_url = dcURL&mainURI 

Set ie = CreateObject("InternetExplorer.Application")
ie.Visible = False
ie.Width = 500
ie.Height = 500
ie.Left = 0
ie.Top = 0
ie.FullScreen = False
ie.AddressBar = False
ie.MenuBar = False
ie.ToolBar = False

'Get full content of the page
ie.Navigate diagnostic_page_url
Do While ie.ReadyState <> 4 Or ie.Busy
	WScript.Sleep 500
Loop

WScript.StdOut.Write "<style>"
WScript.StdOut.Write ie.Document.getElementsByTagName("style")(0).innerHTML
WScript.StdOut.Write "</style>"

WScript.StdOut.Write "<h1>"
WScript.StdOut.Write ie.Document.getElementsByTagName("h1")(0).innerHTML
WScript.StdOut.Write "</h1>"

WScript.StdOut.Write "<h2>"
WScript.StdOut.Write ie.Document.getElementsByTagName("h2")(0).innerHTML
WScript.StdOut.Write "</h2>"
WScript.StdOut.Write "<div>"
WScript.StdOut.Write ie.Document.getElementsByTagName("div")(0).innerHTML
WScript.StdOut.Write "</div>"

WScript.StdOut.Write "<h2>"
WScript.StdOut.Write ie.Document.getElementsByTagName("h2")(1).innerHTML
WScript.StdOut.Write "</h2>"
WScript.StdOut.Write "<div>"
WScript.StdOut.Write ie.Document.getElementsByTagName("div")(1).innerHTML
WScript.StdOut.Write "</div>"

WScript.StdOut.Write "<h2>"
WScript.StdOut.Write ie.Document.getElementsByTagName("h2")(2).innerHTML
WScript.StdOut.Write "</h2>"
WScript.StdOut.Write "<p>"
WScript.StdOut.Write ie.Document.getElementsByTagName("p")(0).innerHTML
WScript.StdOut.Write "</p>"
WScript.StdOut.Write "<div>"
WScript.StdOut.Write ie.Document.getElementsByTagName("div")(2).innerHTML
WScript.StdOut.Write "</div>"

WScript.StdOut.Write "<div>"
WScript.StdOut.Write "<BUTTON onclick=""bandwidthTest(); return false;"">Run Test</BUTTON> Bandwidth Test: "
WScript.StdOut.Write "<SPAN id=bandwidthOutput"
WScript.StdOut.Write " class=good>"
WScript.StdOut.Write "Tested. See Bandwidth Test Result In the Table Above"
WScript.StdOut.Write "</SPAN> </div>"

WScript.StdOut.Write "<div>"
WScript.StdOut.Write ie.Document.getElementsByTagName("div")(4).innerHTML
WScript.StdOut.Write "</div>"
WScript.StdOut.Write "<div>"
WScript.StdOut.Write ie.Document.getElementsByTagName("div")(5).innerHTML
WScript.StdOut.Write "</div>"

WScript.StdOut.Write "<h2>"
WScript.StdOut.Write ie.Document.getElementsByTagName("h2")(3).innerHTML
WScript.StdOut.Write "</h2>"
WScript.StdOut.Write "<a target='_blank' href='"
WScript.StdOut.Write ie.Document.getElementsByTagName("a")(0).getAttribute("href")
WScript.StdOut.Write "'>"
WScript.StdOut.Write ie.Document.getElementsByTagName("a")(0).innerHTML
WScript.StdOut.Write "</a>"


ie.Quit
Set ie = Nothing
Set vbsArgs = Nothing


